package sample.sample14;

public class 猫 extends 哺乳類 {

	public 猫() {
		super("猫");
	}

	@Override
	protected boolean 食べられる(食べ物 食べ物) {
		if (食べ物.getName().equals("魚")) {
			return true;
		}
		if (食べ物.getName().equals("キャットフード")) {
			return true;
		}
		return false;
	}

	@Override
	public void 鳴く() {
		System.out.println("ニャー");
	}

}
